Subject: Growing GOURMET MUSHROOMS!!!

From: "Ralph D. Arnold" <[email-masked]>
Date: Thu, 26 Sep 96 11:06:33 PST

Find large amounts of info on growing gourmet mushrooms (such as Shiitake,
Oysters, PomPom) at http://www.mtjeff.com/fungi   plus links to other
mycology sites.  

There You also will find out how to subscribe to FUNGUS, the FREE email 
newsletter "published" twice a month dedicated to gourmet mushroom
cultivation.